POST Agents/User/GetUserCommands
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
POST /api/v1/Agents/User/GetUserCommands
Get registered custom commands for User
NsApiSlow threshold: 2000 ms.
Online Restricted: ## The User agent is not available in Online by default. User management is not allowed for partner apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/User/GetUserCommands?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
User
| Property Name | Type | Description |
|---|---|---|
| User | User | SuperOffice User, with login credentials and an associated person. |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Name | string | Unique name of the command |
| DisplayName | string | The name to show in GUI |
| Description | string | Description of the command. |
| ToolTip | string | Tooltip to be used in the GUI |
| Actions | string | The actions to call when invoked |
| ActionData | string | The data to be used when the command is invoked |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/User/GetUserCommands
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"AssociateId": 242,
"Name": "Turcotte Group",
"Rank": 249,
"Tooltip": "commodi",
"LicenseOwners": [
{
"Name": "Kautzer LLC",
"Description": "Optimized zero tolerance parallelism",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
]
},
{
"Name": "Kautzer LLC",
"Description": "Optimized zero tolerance parallelism",
"RestrictedModuleLicenses": [
{},
{}
],
"UnrestrictedModuleLicenses": [
{},
{}
]
}
],
"Role": null,
"UserGroup": null,
"OtherGroups": [
{
"Value": "corporis",
"Tooltip": "aut",
"Id": 693,
"Rank": 117,
"Deleted": false
},
{
"Value": "corporis",
"Tooltip": "aut",
"Id": 693,
"Rank": 117,
"Deleted": false
}
],
"Person": null,
"Deleted": true,
"Lastlogin": "2000-04-10T10:11:01.7681085+02:00",
"Lastlogout": "2009-08-31T10:11:01.7681085+02:00",
"EjUserId": 587,
"RequestSignature": "sed",
"Type": "AnonymousAssociate",
"IsPersonRetired": false,
"IsOnTravel": false,
"Credentials": [
{
"Type": null,
"Value": "sint",
"DisplayValue": "in"
},
{
"Type": null,
"Value": "sint",
"DisplayValue": "in"
}
],
"UserName": "Hauck LLC",
"TicketCategories": [
{
"Id": 813,
"Name": "Mante Group",
"ToolTip": "Eum sed optio.",
"Deleted": false,
"Rank": 74,
"Type": "ut",
"ChildItems": [
{},
{}
],
"IconHint": "ut",
"ColorBlock": 286,
"ExtraInfo": "omnis",
"StyleHint": "ut",
"FullName": "Ms. Krystal Aida Gerhold"
}
],
"NickName": "Waelchi LLC",
"WaitingForApproval": false,
"ExtraFields": {
"ExtraFields1": "provident",
"ExtraFields2": "quia"
},
"CustomFields": {
"CustomFields1": "reprehenderit",
"CustomFields2": "consequatur"
},
"PostSaveCommands": [
{
"Name": "Batz, Smith and Gutkowski",
"DisplayName": "Abbott, Johnston and Farrell",
"Description": "User-centric foreground archive",
"ToolTip": "Rerum voluptatem id corrupti eius labore.",
"Actions": "Implicit",
"ActionData": "ipsam"
},
{
"Name": "Batz, Smith and Gutkowski",
"DisplayName": "Abbott, Johnston and Farrell",
"Description": "User-centric foreground archive",
"ToolTip": "Rerum voluptatem id corrupti eius labore.",
"Actions": "Implicit",
"ActionData": "ipsam"
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Name": "ExportToExcel",
"DisplayName": "Export to Excel",
"Description": "Export current selection to Excel spreadsheet",
"ToolTip": "Export data to Microsoft Excel format",
"Actions": "Implicit",
"ActionData": "export-excel",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 53
}
}
}
]